com.genesyslab.wfm7.API.service.calendar760

## Class CalData

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar760.CalData

- All Implemented Interfaces:
    java.io.Serializable

      public class CalData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgAgentShort[]` | `agents` Agent related to Calendar item information array
    `private int` | `agentsArraySize` Agent array size
    `private CalDataIndicator[]` | `indicators` Contains dates for which Calendar items exist
    `private int` | `indicatorsArraySize` Indicator array size
    `private CalItemInformation[]` | `information` Calendar item information array contains items from requested period and target (site, team(s), agent(s))
    `private int` | `informationArraySize` Calendar item information array size
    `private CfgTeamShort[]` | `teams` Team related to Calendar item information array
    `private int` | `teamsArraySize` Team array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalData()`
    `CalData(int informationArraySize, CalItemInformation[] information, int indicatorsArraySize, CalDataIndicator[] indicators, int agentsArraySize, CfgAgentShort[] agents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgAgentShort[]` | `getAgents()` Gets the agents value for this CalData.
    `int` | `getAgentsArraySize()` Gets the agentsArraySize value for this CalData.
    `CalDataIndicator[]` | `getIndicators()` Gets the indicators value for this CalData.
    `int` | `getIndicatorsArraySize()` Gets the indicatorsArraySize value for this CalData.
    `CalItemInformation[]` | `getInformation()` Gets the information value for this CalData.
    `int` | `getInformationArraySize()` Gets the informationArraySize value for this CalData.
    `CfgTeamShort[]` | `getTeams()` Gets the teams value for this CalData.
    `int` | `getTeamsArraySize()` Gets the teamsArraySize value for this CalData.
    `int` | `hashCode()`
    `void` | `setAgents(CfgAgentShort[] agents)` Sets the agents value for this CalData.
    `void` | `setAgentsArraySize(int agentsArraySize)` Sets the agentsArraySize value for this CalData.
    `void` | `setIndicators(CalDataIndicator[] indicators)` Sets the indicators value for this CalData.
    `void` | `setIndicatorsArraySize(int indicatorsArraySize)` Sets the indicatorsArraySize value for this CalData.
    `void` | `setInformation(CalItemInformation[] information)` Sets the information value for this CalData.
    `void` | `setInformationArraySize(int informationArraySize)` Sets the informationArraySize value for this CalData.
    `void` | `setTeams(CfgTeamShort[] teams)` Sets the teams value for this CalData.
    `void` | `setTeamsArraySize(int teamsArraySize)` Sets the teamsArraySize value for this CalData.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### informationArraySize

          private int informationArraySize

      Calendar item information array size

    - #### information

          private CalItemInformation[] information

      Calendar item information array contains items from requested period and target (site, team(s), agent(s))

    - #### indicatorsArraySize

          private int indicatorsArraySize

      Indicator array size

    - #### indicators

          private CalDataIndicator[] indicators

      Contains dates for which Calendar items exist

    - #### agentsArraySize

          private int agentsArraySize

      Agent array size

    - #### agents

          private CfgAgentShort[] agents

      Agent related to Calendar item information array

    - #### teamsArraySize

          private int teamsArraySize

      Team array size

    - #### teams

          private CfgTeamShort[] teams

      Team related to Calendar item information array

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalData

          public CalData()

    - #### CalData

          public CalData(int informationArraySize,
                 CalItemInformation[] information,
                 int indicatorsArraySize,
                 CalDataIndicator[] indicators,
                 int agentsArraySize,
                 CfgAgentShort[] agents)

  - ### Method Detail

    - #### getInformationArraySize

          public int getInformationArraySize()

      Gets the informationArraySize value for this CalData.
      Returns:
        informationArraySize Calendar items information array size

    - #### setInformationArraySize

          public void setInformationArraySize(int informationArraySize)

      Sets the informationArraySize value for this CalData.
      Parameters:
        `informationArraySize` - Calendar items information array size

    - #### getInformation

          public CalItemInformation[] getInformation()

      Gets the information value for this CalData.
      Returns:
        information Calendar items information

    - #### setInformation

          public void setInformation(CalItemInformation[] information)

      Sets the information value for this CalData.
      Parameters:
        `information` - Calendar items information

    - #### getIndicatorsArraySize

          public int getIndicatorsArraySize()

      Gets the indicatorsArraySize value for this CalData.
      Returns:
        indicatorsArraySize Indicator array size

    - #### setIndicatorsArraySize

          public void setIndicatorsArraySize(int indicatorsArraySize)

      Sets the indicatorsArraySize value for this CalData.
      Parameters:
        `indicatorsArraySize` - Indicator array size

    - #### getIndicators

          public CalDataIndicator[] getIndicators()

      Gets the indicators value for this CalData.
      Returns:
        indicators Data indicators

    - #### setIndicators

          public void setIndicators(CalDataIndicator[] indicators)

      Sets the indicators value for this CalData.
      Parameters:
        `indicators` - Data indicators

    - #### getAgentsArraySize

          public int getAgentsArraySize()

      Gets the agentsArraySize value for this CalData.
      Returns:
        agentsArraySize Agent array size

    - #### setAgentsArraySize

          public void setAgentsArraySize(int agentsArraySize)

      Sets the agentsArraySize value for this CalData.
      Parameters:
        `agentsArraySize` - Agent array size

    - #### getAgents

          public CfgAgentShort[] getAgents()

      Gets the agents value for this CalData.
      Returns:
        agents Agents' information (names, ids) from Config service.

    - #### setAgents

          public void setAgents(CfgAgentShort[] agents)

      Sets the agents value for this CalData.
      Parameters:
        `agents` - Agents' information (names, ids)

    - #### getTeamsArraySize

          public int getTeamsArraySize()

      Gets the teamsArraySize value for this CalData.
      Returns:
        teamsArraySize Team array size

    - #### setTeamsArraySize

          public void setTeamsArraySize(int teamsArraySize)

      Sets the teamsArraySize value for this CalData.
      Parameters:
        `teamsArraySize` - Team array size

    - #### getTeams

          public CfgTeamShort[] getTeams()

      Gets the teams value for this CalData.
      Returns:
        teams Teams' information (names, ids) from Config service.

    - #### setTeams

          public void setTeams(CfgTeamShort[] teams)

      Sets the teams value for this CalData.
      Parameters:
        `teams` - Teams' information (names, ids)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.